"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCheckDirectoryTasks = void 0;
const Listr = require("listr");
const checkIsWritableDirectory_1 = require("../helpers/checkIsWritableDirectory");
const checkIsSameDirectory_1 = require("../helpers/checkIsSameDirectory");
exports.getCheckDirectoryTasks = ({ source, destination, unknown, existing, }) => {
    return new Listr([
        {
            title: 'check directories',
            task: () => {
                return new Listr([
                    {
                        title: 'checking source directory',
                        task: async () => {
                            await checkIsWritableDirectory_1.checkIsWritableDirectory(source, 'source');
                        },
                    },
                    {
                        title: 'checking destination directory',
                        task: async () => {
                            await checkIsWritableDirectory_1.checkIsWritableDirectory(destination, 'destination');
                        },
                    },
                    {
                        title: 'checking unknown directory',
                        task: async () => {
                            await checkIsWritableDirectory_1.checkIsWritableDirectory(unknown, 'unknown');
                        },
                    },
                    {
                        title: 'checking existing directory',
                        task: async () => {
                            await checkIsWritableDirectory_1.checkIsWritableDirectory(existing, 'existing');
                        },
                    },
                    {
                        title: 'checking destination, source, unknown and existing directory',
                        task: async () => {
                            checkIsSameDirectory_1.checkIsSameDirectory({ source, destination, unknown, existing });
                        },
                    },
                ], { exitOnError: false, concurrent: false });
            },
        },
    ]);
};
